
-- # import Setoid

sig Monoid (A:Setoid) : Type where
  zero : El A
  plus : El A -> El A -> El A

  leftId  (x	 : El A) : Prf (zero `plus` x == x)
  rightId (x	 : El A) : Prf (x `plus` zero == x)
  assoc	  (x,y,z : El A) : Prf (plus x (plus y z) == plus (plus x y) z)

