
module Plugins.All where

import Plugins (SomePlugin)

import qualified Plugins.FOL
import qualified Plugins.Assert
import qualified Plugins.Equality
import qualified Plugins.Debug

-- | The list of active plugins. Add a plugin to this list to enable it.
plugins :: [SomePlugin]
plugins =
    [ Plugins.FOL.plugin
    , Plugins.Assert.plugin
    , Plugins.Equality.plugin
    , Plugins.Debug.plugin
    ]

