-- # import Property

-- some logical axioms

Obj : Set

Hom : Obj -> Obj -> Set

id : (A:Obj) -> Hom A A

comp : (A:Obj) -> (B:Obj) -> (C:Obj) -> Hom A B -> Hom B C -> Hom A C

axId1 : (A:Obj) -> (B:Obj) -> (f:Hom A B) -> f == comp A A B (id A) f

axId2 : (A:Obj) -> (B:Obj) -> (f:Hom A B) -> f == comp A B B f (id B)

assoc : (A:Obj) -> (B:Obj) -> (C:Obj) -> (D:Obj) -> 
         (f:Hom A B) -> (g:Hom B C) -> (h:Hom C D) ->
         comp A C D (comp A B C f g) h == comp A B D f (comp B C D g h)

isMono : (A:Obj) -> (B:Obj) -> Hom A B -> Prop

elimMono : (A:Obj) -> (B:Obj) -> (f:Hom A B) -> 
            isMono A B f -> (C:Obj) -> (g:Hom C A) -> (h:Hom C A) -> 
            comp C A B g f == comp C A B h f ==> g == h


A:Obj
B:Obj

f:Hom A B
s:Hom B A

hf : isMono A B f

hs : f == comp A B B f (comp B A B s f)

prop : id A == comp A B A f s
prop = fol-plugin(hs,axId1,axId2,elimMono A B f hf,assoc)

